#!/bin/bash

aws ec2 describe-instances --filter "Name=tag:davra-auto-shutdown,Values=true" --region eu-west-1 --query 'Reservations[].Instances[].InstanceId' | head -n -1 | awk 'NR > 1 {sub(/,/,""); print}' | awk '{system("aws ec2 stop-instances --region eu-west-1 --instance-ids "$1 " ; aws ec2 create-tags --region eu-west-1 --tags Key=davra-auto-shutdown,Value=true --resources "$1)}'
aws ec2 describe-instances --filter "Name=tag:davra-auto-shutdown,Values=*" --region eu-west-1 --query 'Reservations[].Instances[].InstanceId' | head -n -1 | awk 'NR > 1 {sub(/,/,""); print}' | awk '{system("aws ec2 create-tags --region eu-west-1 --tags Key=davra-auto-shutdown,Value=true --resources "$1)}'