
# Inremental backup download and extract

this tool will download incremental backups and extract them in destination directory in following form:
`DESTINATION/KEYSPACE/TABLE`

Parameters are:

1. path to list file 
2. bucket name
3. destination directory where keyspace/tables directories will be created


## Example usage 
`./incremental-fetch.sh list.txt cassandra-backups-davra-eu-production /some/location`


## Getting list of incrementals 
```
aws s3 ls s3://cassandra-backups-davra-eu-production/ | awk '{ print  $2 }'  | grep "incremental" | sort | uniq > list.txt
```

After getting the list remove all incremental backups but the wanted ones. That period will be determined by date of incident.



### Example of the content of a list file
```
incremental-2021-12-28-00-00-11-3.249.24.53/
incremental-2021-12-27-23-00-02-3.249.24.53/
incremental-2021-12-27-22-00-11-3.249.24.53/
incremental-2021-12-27-21-00-08-3.249.24.53/
incremental-2021-12-27-20-00-11-3.249.24.53/
incremental-2021-12-27-19-00-11-3.249.24.53/
incremental-2021-12-27-18-00-11-3.249.24.53/
incremental-2021-12-27-17-00-01-3.249.24.53/
incremental-2021-12-27-16-00-08-3.249.24.53/
incremental-2021-12-27-15-00-04-3.249.24.53/
incremental-2021-12-27-14-00-11-3.249.24.53/
incremental-2021-12-27-13-00-11-3.249.24.53/
incremental-2021-12-27-12-00-11-3.249.24.53/
```