#!/bin/bash
VERSION=0.0.21

VOLUME_ROOT=/var/Davra

# number of arguments check
if [ "$#" -eq 1 ]; then
  VOLUME_ROOT=$1
fi
RUBAN_VOLUME=$VOLUME_ROOT/RuBAN
mkdir -p $RUBAN_VOLUME

cd `dirname $0`

#blast the existing ruban
echo "Removing previous ruban container and image"
docker ps | grep ruban-monitor | awk '{system("docker kill "$1)}'
docker ps -a | grep ruban-monitor | awk '{system("docker rm -f "$1)}'
docker images | awk '{print $1":"$2}' | grep ruban-monitor | awk '{system("docker rmi -f "$1)}'

#load new docker image
echo "Loading new ruban docker image"
docker pull davradocker/ruban-ms-standalone-monitor:$VERSION

docker run --restart=unless-stopped -v $RUBAN_VOLUME:/var/Davra/RuBAN -p 58101:58101 --name ruban-monitor -d davradocker/ruban-ms-standalone-monitor:$VERSION
