#!/bin/sh

docker stop aaa-service
docker stop ruban
docker stop cassandra

cd /var/Davra/
mkdir -p bkp
cd bkp
docker exec postgres sync
docker exec mongo sync

docker exec postgres tar Ccf $(dirname /var/lib/postgresql) - $(basename /var/lib/postgresql) | tar Cxf . -
docker exec mongo tar Ccf $(dirname /data) - $(basename /data) | tar Cxf . -

docker stop postgres
docker stop mongo


docker stop kafka
docker stop zookeeper


rmdir /var/Davra/postgresql/data/data
mkdir -p /var/Davra/postgresql/data/pgdata
cp -r /var/Davra/bkp/postgresql/data/* /var/Davra/postgresql/data/pgdata
touch /var/Davra/postgresql/.migrated
cp -r /var/Davra/bkp/data/* /var/Davra/mongodb

cd /var/Davra/postgresql/data
chown -R 999 *
chmod -R a+rw *

if [ -d "/var/Davra/cassandra/data/data" ]; then
   cp -r /var/Davra/cassandra/data/data /var/Davra/bkp
   rm -rf /var/Davra/cassandra/data/data
   cp -r /var/Davra/bkp/data/* /var/Davra/cassandra/data
fi


docker start postgres
docker start mongo
docker start cassandra
docker start zookeeper
docker start kafka
docker start ruban
docker start aaa-service

touch /var/Davra/RuBAN/.migrated
rm -rf /var/Davra/bkp


