#!/bin/bash

kubeadm reset -f
# any issues with the reset? then exit now:
if [ $? -ne 0 ]; then
    printError "kubeadm reset cancelled"
    exit 1
fi
rm -f /etc/kubernetes/manifests/kube-apiserver.yaml
rm -f /etc/kubernetes/manifests/kube-controller-manager.yaml
rm -f /etc/kubernetes/manifests/kube-scheduler.yaml
rm -f /etc/kubernetes/manifests/etcd.yaml
rm -rf /var/lib/etcd

apt-mark unhold kubeadm kubelet kubectl
apt-get remove -y kubeadm kubelet kubectl