#!/bin/bash

cd `dirname $0`

CLOUD=${1:-aws/staging}
echo "Checking cloud: $CLOUD"
TIMESTAMP=`date '+%y.%m.%d-%H:%M:%S'`
SLACK_URL="https://hooks.slack.com/services/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"

KUBECTL=${KUBECTL:-"kubectl --kubeconfig=../../$CLOUD/kubeconfig"}
POD=`$KUBECTL get pod | grep kairosdb | awk '{print $1}'`
$KUBECTL port-forward $POD 58080  &
PF_PROCESS=`echo $!`
sleep 10
curl -X POST --data-binary "@fs-usage-query.json" http://localhost:58080/api/v1/datapoints/query > fs-query-result.json

kill $PF_PROCESS

node fs-monitor-check.js $CLOUD