#!/bin/bash

echo "Checking inmarsat derived metrics"
TIMESTAMP=`date +'%F %H:%M'`
AUTH="Authorization: Bearer NzI2YTFmYWEtYzA1ZS00OTNhLWEwZGUtOTJhNGM0MmI3NTUwNTExYTg3ZGUtN2Fk_PF84_consumer"
URL="https://api.ciscospark.com/v1/messages"

REL_PRES_COUNT=`curl -f -s -u operator:operator -X POST --data-binary "@relative-pressure-query.json" http://inmarsat.davra.com/api/v1/timeseriesData | jq '.queries[0].results[0].values[0][1]'`

if [ $? -ne 0  -o $REL_PRES_COUNT == 'null' ] ; then
    echo "Detected issue on $ENDPOINT"
	MSG="$TIMESTAMP INMARSAT derived metrics missing"
	curl -H "$AUTH" -H "Content-Type: application/json; charset=utf-8"  -d "{ \"roomId\":\"Y2lzY29zcGFyazovL3VzL1JPT00vYTgwZjA1NjAtYjRlNC0xMWU4LTkwYmMtMDc3M2ZkY2FjZTRj\", \"text\": \"$MSG\" }" $URL
fi

