'use strict';

const { sendAlert } = require('../monitoring.lib');

let options = {
  roomId: process.argv[2],
  markdown: `Killed workspace pod ${process.argv[3]}, workspace: ${process.argv[4]}, for tenant ${process.argv[5]} on ${process.argv[6]}`
}


sendAlert(options)
.then(() => {
  process.exit(0)
})
.catch(err => {
  console.error("Failed to notify", err);
  process.exit(1);
});