const zookeeper = require('node-zookeeper-client');

let ZOOKEEPER_HOSTS = "zookeeper.default:2181";
if(process.env.ZOOKEEPER_HOSTS){
    ZOOKEEPER_HOSTS = process.env.ZOOKEEPER_HOSTS;
}

let path = "/connecthing/ruban-ms-microservice-manager";


let zk = zookeeper.createClient(ZOOKEEPER_HOSTS);
zk.once("connected", () => {

    zk.create(
        '/connecthing',
        new Buffer(''),
        (error, path) => {
            
            zk.create('/connecthing/ruban-ms-microservice-manager',
                new Buffer('{"CONNECTHING_MICROSERVICES_ENABLED":true}'),
                (error2, path) => {
                    if(error2 && error2.name !== 'NODE_EXISTS'){
                        console.error(error2);
                        process.exit(1);
                    }
                    process.exit(0);
                });
        }
    );
});

zk.connect();
