#!/bin/bash

cd `dirname $0`

source ../../utils.sh

doSecret gitlab
doDeployment gitlab
doService gitlab
doIngress gitlab

GLILAB_POD=`kubectl get pod -n default | grep gitlab | awk '{print $1}'`
POSTGRES_POD=`kubectl get pod -n default | grep postgres | awk '{print $1}'`

kubectl cp ./gitlab.sql $POSTGRES_POD:gitlab.sql
kubectl exec $POSTGRES_POD -- chmod 777 gitlab.sql
kubectl exec $POSTGRES_POD -- bash -c 'su postgres -c "psql -a -f `pwd`/gitlab.sql"'