#!/bin/bash
mkdir /etc/flannel > /dev/null 2>&1 
echo "FLANNELD_ETCD_ENDPOINTS=$ETCD_ENDPOINTS" > /etc/flannel/options.env

mkdir -p /etc/systemd/system/flanneld.service.d  > /dev/null 2>&1 
echo "[Service]" > /etc/systemd/system/flanneld.service.d/40-ExecStartPre-symlink.conf
echo "ExecStartPre=/usr/bin/ln -sf /etc/flannel/options.env /run/flannel/options.env" >> /etc/systemd/system/flanneld.service.d/40-ExecStartPre-symlink.conf


mkdir -p /etc/kubernetes/cni/net.d/ > /dev/null 2>&1 
cp 10-flannel.conf /etc/kubernetes/cni/net.d

curl -X PUT -d "value={\"Network\":\"$POD_NETWORK\",\"Backend\":{\"Type\":\"vxlan\"}}" "$ETCD_ENDPOINTS/v2/keys/coreos.com/network/config"
systemctl daemon-reload
systemctl restart flanneld
systemctl enable flanneld

