#!/bin/bash
KUBELET_MEM_THRESHOLD=1000000
PID=`ps -ef| grep /kubelet | grep -v kubelet-check | grep -v grep | head -1 | awk '{print $2}'`
if [ $? -ne 0 ] ; then
 echo "Kubelet process not found"
 exit 1
fi

echo "kubelet process id: $PID"
RSS=`cat /proc/$PID/status| grep VmRSS | awk '{print $2}'`
echo "kubelet RSS: $RSS"

if [ $RSS -gt $KUBELET_MEM_THRESHOLD ] ; then
    echo "Kubelet has exceeded $KUBELET_MEM_THRESHOLD, restarting it"
    systemctl restart kubelet
fi
